FROM registry.routh.io/minecraft/tools/packmaker/server:latest

RUN mkdir -p /minecraft/pack
ADD packmaker.yml   /minecraft/pack/packmaker.yml
ADD packmaker.lock  /minecraft/pack/packmaker.lock
ADD customize.lock  /minecraft/pack/customize.lock
COPY src            /minecraft/pack/src
ADD run.sh          /run.sh

RUN chmod 755 /run.sh

EXPOSE 25565

CMD ["bash", "/run.sh" ]
